%!TEX root=../../thesis.tex
%!TEX file=content/inverse-kinematics/geometric.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Geometric Kinematics}\label{sec:inverse-kinematics:geometric}

In order to position the cable robot correctly in space, the most na\"ive approach is to assume the cables ideal \textIe inelastic, slender rods that is being positioned between two points\textemdash its attachment point on the frame and its attachment point on the platform.
Determining the cable lengths in this manner is what is being refereed to in this section as \textit{geometric determination} of required cable lengths: there is no consideration of the physical properties of the cable, we are merely interested in the geometric length between two points assumed being the respective cable length.
Different mathematical formulations can be found in literature, all of which will be described in this section to foster understanding the differences between kinematics and dynamics and assumed and physical cables.




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/inverse-kinematics/geometric/standard}




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/inverse-kinematics/geometric/pulley}
